call WinVars.bat

start /w robocopy0 COMMON "%SYSTEMDRIVE%\Common"\
start /w AddSYSPath0 "%SYSTEMDRIVE%\Common"\

start /w robocopy0 ALLUSERSSTARTMENUROOT "%ALLUSERSSTARTMENUROOT%"\

start /w robocopy0 ALLUSERSSTARTMENUSTARTUPROOT "%ALLUSERSSTARTMENUSTARTUPROOT%"\
if %SETUPARCHCONFIG%==x86 regedit /s Sysinternals(x86).reg
if %SETUPARCHCONFIG%==x64 regedit /s Sysinternals(x86).reg & regedit /s Sysinternals(x64).reg

start /w robocopy0 ALLUSERSSTARTMENUPROGRAMSROOT "%ALLUSERSSTARTMENUPROGRAMSROOT%"\
regedit /s wim.shellextension.reg
regedit /s reg.shellnew.reg
regedit /s sif.shellextension.reg
regedit /s bat.shellnew.reg

start /w robocopy0 USERPROFILE "%USERPROFILE%"\
start /w robocopy0 FAVORITESROOT "%FAVORITESROOT%"\
start /w robocopy0 LINKSROOT "%LINKSROOT%"\
if %SETUPOSCONFIG%==Vista start /w robocopy0 LINKSROOT(Vista) "%LINKSROOT%"\
if %SETUPOSCONFIG%==2008 start /w robocopy0 LINKSROOT(Vista) "%LINKSROOT%"\
if %SETUPOSCONFIG%==Seven start /w robocopy0 LINKSROOT(Vista) "%LINKSROOT%"\
rem if %SETUPOSCONFIG%==2003 if %SETUPLANGCONFIG%==EN start /w robocopy0 DOCUMENTS "%USERPROFILE%\My Documents"\

start /d "%SYSTEMDRIVE%\Common" procexp.exe
if %SETUPARCHCONFIG%==x86 start /d "%SYSTEMDRIVE%\Common" HotSwap32.EXE
if %SETUPARCHCONFIG%==x64 start /d "%SYSTEMDRIVE%\Common" HotSwap64.EXE

exit
